package com.fh.common.util;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import org.apache.commons.codec.binary.Base64;
import org.apache.commons.codec.digest.DigestUtils;

public class DigestUtil {

   public static String MD5(String str) {
      return DigestUtils.md5Hex(str);
   }

   public static String SHA1(String str) {
      return DigestUtils.sha1Hex(str);
   }

   public static String encodeBase64(String str) {
      byte[] b = Base64.encodeBase64(str.getBytes(), true);
      return new String(b);
   }

   public static String decodeBase64(String str) {
      byte[] b = Base64.decodeBase64(str.getBytes());
      return new String(b);
   }

   public static void main(String[] args) {
      String a = "{\"ah\":\"2014年西执字第09714号\",\"xm\":\"徐州胜阳热电有限公司\",\"sfzhm\":\"0\",\"sqzxbdje\":1836290,\"swzxbdje\":1836290,\"dsrlx\":\"09_01001-2\",\"larq\":\"2014年10月16日\",\"jarq\":\"2016年11月23日\",\"dz\":\"江苏省\",\"zxfymc\":\"北京市西城区人民法院\"}";
      JSONObject obj = JSON.parseObject(a);
      obj.remove("id");
      String string = obj.toString();
      System.out.println(string);
      System.out.println(MD5(a.toString()));
      System.out.println(MD5(string));
      System.out.println(SHA1(a));
      System.out.println(decodeBase64(encodeBase64(a)));
      System.out.println(encodeBase64(a));
   }
}
